%define upstream_name    MooX-Role-Parameterized
%define upstream_version 0.501

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dsl to apply roles with composition parameters
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(MooX::BuildClass) >= 0.213.360
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Pod)
BuildArch:  noarch

%description
It is an *experimental* port of the MooseX::Role::Parameterized manpage to
the Moo manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changelog LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.501.0-2.mga10
+ Revision: 2220945
- Mageia 10 Mass Rebuild

* Fri Jan 05 2024 tv <tv> 0.501.0-1.mga10
+ Revision: 2027744
- update to 0.501

* Mon Jan 01 2024 tv <tv> 0.200.0-1.mga10
+ Revision: 2025401
- update to 0.200

* Tue Mar 22 2022 umeabot <umeabot> 0.82.0-3.mga9
+ Revision: 1819442
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.82.0-2.mga8
+ Revision: 1523974
- Mageia 8 Mass Rebuild

* Sun Mar 17 2019 tv <tv> 0.82.0-1.mga7
+ Revision: 1378487
- imported package perl-MooX-Role-Parameterized


* Sun Mar 17 2019 Thierry Vignaud <tv@mageia.org> 0.82.0-1.mga7
- initial mageia release, generated with cpan2dist
